<?php

namespace OCA\DeckFlow\AppInfo;

use OCP\AppFramework\App;
use OCP\BackgroundJob\IJobList;
use OCA\DeckFlow\BackgroundJobs\CheckOverdueCards;

class Application extends App {
    public function __construct(array $urlParams = []) {
        parent::__construct('deckflow', $urlParams);
    }

    public function register() {
        $container = $this->getContainer();
        $jobList = $container->query(IJobList::class);
        $jobList->add(CheckOverdueCards::class);
    }
}